Changeset 4805


Ignore:
Timestamp:
11/20/08 00:44:42 (8 years ago)
Author:
werner
Message:
  • calup.init: brought remounting of root over from myroot/werner/myroot
  • bin/calup.sh, bin/cal-sum-file, bin/cal-sum-installed: since we agreed to just use the IDs, removed cal-sum-*
  • Makefile: added SD image creation
  • README: described use of bootable images
Location:
developers/werner/fake-calup
Files:
2 deleted
4 edited

Legend:

Unmodified
Added
Removed
  • developers/werner/fake-calup/Makefile

    r4794 r4805  
    1 .PHONY: test rootfs 
     1# This is where my kernel lives. Edit or use 
     2# make KERNEL=/your/kernel/uImage sd 
     3 
     4KERNEL=/home/moko/git/ktrack/arch/arm/boot/uImage 
     5 
     6.PHONY: test rootfs sd 
    27 
    38test: 
     
    1015        ../myroot/myroot calup.myroot 
    1116        ../myroot/mkjffs2 
     17 
     18sd: 
     19        ../myroot/myroot calup.myroot 
     20        ../myroot/mkext2 
     21        ../myroot/mksd -u $(KERNEL) 
  • developers/werner/fake-calup/README

    r4789 r4805  
    5858If a backup needs to be restore, we'll have to devise a suitable 
    5959manual procedure. 
     60 
     61 
     62Bootable images 
     63--------------- 
     64 
     65# make rootfs 
     66 
     67Makes a GTA02 JFFS2 image with the updater environment in root.jffs2 
     68 
     69# make KERNEL=/path/to/your/uImage sd 
     70 
     71Makes a bootable SD card image for u-boot on GTA02 in the file 
     72sd_image. When booting the image, following things happen: 
     73 
     74- reset the GTA02 
     75- press AUX to bring up the boot menu 
     76- select "Boot from microSD (FAT+ext2)" 
     77- after about 20 seconds, the screen shows "STARTING ..." 
     78- another 40 seconds later, the X checkerboard background appears 
     79- 5 seconds later, the menu pops up 
  • developers/werner/fake-calup/bin/calup.sh

    r4794 r4805  
    3030identify() 
    3131{ 
    32     local n sum 
     32    local n id 
    3333 
    3434    add= 
    35     if ! curr=`cal-sum-installed`; then 
    36         echo "cannot get checksum of installed firmware" 1>&2 
     35    if ! curr=`cal-id-installed`; then 
     36        echo "cannot identify installed firmware" 1>&2 
    3737        exit 1 
    3838    fi 
    3939 
    4040    for n in $FW_DIR/*.m0; do 
    41         if ! sum=`cal-sum-file "$n"`; then 
    42             echo "cannot get checksum of $n" 1>&2 
     41        if ! id=`cal-id-file "$n"`; then 
     42            echo "cannot identify $n" 1>&2 
    4343            exit 1 
    4444        fi 
    45         if [ "$sum" = "$curr" ]; then 
    46             if ! curr=`cal-id-file "$n"`; then 
    47                 echo "cannot identify $n" 1>&2 
    48                 exit 1 
    49             fi 
     45        if [ "$id" = "$curr" ]; then 
    5046            return 
    5147        fi 
    5248    done 
    5349 
    54     if ! curr=`cal-id-installed`; then 
    55         echo "cannot identify installed firmware" 1>&2 
    56         exit 1 
    57     fi 
     50    # if none of the firmware images have the same ID, we have to add a fake 
     51    # entry to the list. 
    5852 
    5953    add="$curr" 
  • developers/werner/fake-calup/calup.init

    r4794 r4805  
    33PATH=/sbin:/bin/:/usr/bin:/usr/local/bin:/home/root/bin 
    44HOME=/home/root 
     5 
     6# if booting from microSD, rootfs may be read-only 
     7mount -n -o remount,rw / 
    58 
    69ldconfig 
Note: See TracChangeset for help on using the changeset viewer.